package de.avatic.lcc.model.bulk.header;

public enum ReportSummaryHeader implements HeaderProvider{
    MATERIAL("Material", 0, 1),
    SUPPLIER("Supplier", 1, 1),
    MEK_A("MEK A", 2, 2),
    LOGISTICS_COST("Logistics costs", 4, 2),
    MEK_B("MEK B", 6, 2),
    TRANSPORT("Transport", 8, 1),
    HANDLING("Handling", 9, 1),
    STORAGE("Storage", 10, 1),
    REPACKAGING("Repackaging", 11, 1),
    DISPOSAL("Disposal", 12, 1),
    CAPITAL("Capital", 13, 1),
    CUSTOM("Custom", 14, 1),
    FCA_FEE("FCA Fee", 15, 1),
    AIR_FREIGHT("Air freight", 16, 1);


    private final int occupiedCells;
    private final String header;
    private final int column;

    ReportSummaryHeader(String header, int column, int occupiedCells) {
        this.occupiedCells = occupiedCells;
        this.header = header;
        this.column = column;
    }

    @Override
    public boolean useOrdinal() {
        return false;
    }

    @Override
    public String getHeader() {
        return header;
    }

    @Override
    public int occupiedCells() {
        return occupiedCells;
    }

    @Override
    public int getColumn() {
        return column;
    }
}
